package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo struct {
	/*
	   商品条码     */
	Barcodes *[]AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo `json:"barcodes,omitempty" `

	/*
	   品牌名称     */
	BrandName *string `json:"brand_name,omitempty" `

	/*
	   含量     */
	Content *string `json:"content,omitempty" `

	/*
	   配货规格     */
	DeliverySpec *string `json:"delivery_spec,omitempty" `

	/*
	   配货单位     */
	DeliveryUnit *string `json:"delivery_unit,omitempty" `

	/*
	   配送方式，1-统配、2-直配、3-越库     */
	DeliveryWay *string `json:"delivery_way,omitempty" `

	/*
	   禁收时限     */
	ForbidReceiveDays *int64 `json:"forbid_receive_days,omitempty" `

	/*
	   禁售时限     */
	ForbidSalesDays *int64 `json:"forbid_sales_days,omitempty" `

	/*
	   新建时间     */
	GmtCreateTime *util.LocalTime `json:"gmt_create_time,omitempty" `

	/*
	   是否进口商品     */
	ImportFlag *bool `json:"import_flag,omitempty" `

	/*
	   进项税率     */
	InputTaxRate *string `json:"input_tax_rate,omitempty" `

	/*
	   库存单位     */
	InventoryUnit *string `json:"inventory_unit,omitempty" `

	/*
	   商品状态，A-正常、T-暂时停采、C-淘汰出清、R-清退、L-季节性商品休眠、D-删除封挡、E-停售(紧急下架)、U-未启用（只是建档，还未进货）     */
	LifeStatus *string `json:"life_status,omitempty" `

	/*
	   商品类目     */
	MerchantCatId *int64 `json:"merchant_cat_id,omitempty" `

	/*
	   商家编码     */
	MerchantCode *string `json:"merchant_code,omitempty" `

	/*
	   超收比例     */
	OverloadRate *string `json:"overload_rate,omitempty" `

	/*
	   保质期天数     */
	Period *int64 `json:"period,omitempty" `

	/*
	   厂商名称     */
	ProducerName *string `json:"producer_name,omitempty" `

	/*
	   产地，多个产地使用逗号分割     */
	ProducerPlace *string `json:"producer_place,omitempty" `

	/*
	   采购规格     */
	PurchaseSpec *string `json:"purchase_spec,omitempty" `

	/*
	   采购单位     */
	PurchaseUnit *string `json:"purchase_unit,omitempty" `

	/*
	   简称     */
	ShortTitle *string `json:"short_title,omitempty" `

	/*
	   商品编码     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   商品名称     */
	SkuName *string `json:"sku_name,omitempty" `

	/*
	   存储方式，241-常温、242-冷藏、243-冷冻、635-热链、636-室温、637-鲜活     */
	Storage *string `json:"storage,omitempty" `

	/*
	   当前供应商编码     */
	SupplierNo *string `json:"supplier_no,omitempty" `

	/*
	   进项税率     */
	TaxRate *string `json:"tax_rate,omitempty" `

	/*
	   仓编码     */
	WarehouseCode *string `json:"warehouse_code,omitempty" `

	/*
	   保质期预警天数     */
	WarnDays *int64 `json:"warn_days,omitempty" `

	/*
	   是否称重商品     */
	WeightFlag *bool `json:"weight_flag,omitempty" `
}

func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetBarcodes(v []AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuBarcodeDo) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.Barcodes = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetBrandName(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.BrandName = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetContent(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.Content = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetDeliverySpec(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.DeliverySpec = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetDeliveryUnit(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.DeliveryUnit = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetDeliveryWay(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.DeliveryWay = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetForbidReceiveDays(v int64) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.ForbidReceiveDays = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetForbidSalesDays(v int64) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.ForbidSalesDays = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetGmtCreateTime(v util.LocalTime) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.GmtCreateTime = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetImportFlag(v bool) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.ImportFlag = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetInputTaxRate(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.InputTaxRate = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetInventoryUnit(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.InventoryUnit = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetLifeStatus(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.LifeStatus = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetMerchantCatId(v int64) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.MerchantCatId = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetMerchantCode(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.MerchantCode = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetOverloadRate(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.OverloadRate = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetPeriod(v int64) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.Period = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetProducerName(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.ProducerName = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetProducerPlace(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.ProducerPlace = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetPurchaseSpec(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.PurchaseSpec = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetPurchaseUnit(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.PurchaseUnit = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetShortTitle(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.ShortTitle = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetSkuCode(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetSkuName(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.SkuName = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetStorage(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.Storage = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetSupplierNo(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.SupplierNo = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetTaxRate(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.TaxRate = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetWarehouseCode(v string) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.WarehouseCode = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetWarnDays(v int64) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.WarnDays = &v
	return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo) SetWeightFlag(v bool) *AlibabaWdkSkuWarehouseskuScrollQueryWarehouseSkuDo {
	s.WeightFlag = &v
	return s
}
